# Switch chat mode

```http
POST https://api.synup.com/api/v4/social-post-ideas/switch-chat-mode
```

Switches the generation mode of an existing AI post-idea chat session.

Source: https://developer.synup.com/api/social-post-ideas/switch-chat-mode

## Header parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `Synup-Version` | string | required | API version date (YYYY-MM-DD). |

## Request body

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `sessionId` | string | required |  |
| `mode` | string | required |  |

## Example request

```bash
curl -X POST 'https://api.synup.com/api/v4/social-post-ideas/switch-chat-mode' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "sessionId": "7f3c1a2e-...",
  "mode": "thorough"
}'
```

## Responses

| Status | Description |
| --- | --- |
| `200` | Successful response |
| `401` | Unauthorized - Invalid or missing API key |
